---
title: "Live Google Images SERP HTML"
url: "https://docs.dataforseo.com/v3/serp/google/images/live/html/"
date: "2026-06-06"
---

## Live Google Images SERP HTML

  
Live SERP HTML provides a raw HTML page of 100 search engine results for the specified keyword, search engine, and location.

 

 

 ![checked](https://docs.dataforseo.com/v3/wp-content/themes/dataforseo/assets/img/icons/checked-circle.svg) POST  https://api.dataforseo.com/v3/serp/google/images/live/html     

      

Pricing

 Your account will be charged for each request.  
The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/serp/google-images-serp-api "Pricing") page.

 

 All POST data should be sent in the [JSON](https://en.wikipedia.org/wiki/JSON) format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live SERP API call can contain only one task.

Below you will find a detailed description of the parameters that are required or recommended for setting a task.

Main Parameters

| Field name | Type | Description |
|---|---|---|
| `keyword` | string | *keyword*  **required field**  you can specify **up to 700 characters** in the `keyword` field  all %## will be decoded (plus character '+' will be decoded to a space character)  if you need to use the "%" character for your `keyword`, please specify it as "%25";  if you need to use the “+” character for your `keyword`, please specify it as “%2B”;  if this field contains such parameters as *'allinanchor:', 'allintext:', 'allintitle:', 'allinurl:', 'define:', 'filetype:', 'id:', 'inanchor:', 'info:', 'intext:', 'intitle:', 'inurl:', 'link:', 'related:', 'site:'*, **the charge per task will be multiplied by 5**  **Note:** queries containing the ‘cache:’ parameter are not supported and will return a validation error     learn more about rules and limitations of `keyword` and `keywords` fields in DataForSEO APIs in this [Help Center article](https://dataforseo.com/help-center/rules-and-limitations-of-keyword-and-keywords-fields-in-dataforseo-apis) |
| `location_code` | integer | *search engine location code*  **required field if you don't specify** `location_name` or `location_coordinate`  **if you use this field, you don't need to specify `location_name` or `location_coordinate`**  you can receive the list of available locations of the search engines with their `location_code` by making a separate request to the `https://api.dataforseo.com/v3/serp/google/locations`  example:  `2840` |
| `language_code` | string | *search engine language code*  **required field if you don't specify** `language_name`  **if you use this field, you don't need to specify `language_name`**  you can receive the list of available languages of the search engine with their `language_code` by making a separate request to the `https://api.dataforseo.com/v3/serp/google/languages`example:`en` |
| `depth` | integer | *parsing depth*  optional field  number of results in SERP  default value: `100`  max value: `700`     **Your account will be billed per each SERP containing up to 100 results;**Setting depth above 100 may result in additional charges if the search engine returns more than 100 results;  If the specified depth is higher than the number of results in the response, the difference will be refunded to your account balance automatically;  The cost can be calculated on the [Pricing](https://dataforseo.com/pricing/serp/google-images-serp-api "Pricing") page. |



  
Below you will find a drop-down list with the additional parameters you can use for setting a task.  
Additional Parameters| Field name | Type | Description |
|---|---|---|
| `location_name` | string | *full name of search engine location*  **required field if you don't specify** `location_code` or `location_coordinate`  **if you use this field, you don't need to specify `location_code` or `location_coordinate`**  you can receive the list of available locations of the search engine with their `location_name` by making a separate request to the `https://api.dataforseo.com/v3/serp/google/locations`  example:  `London,England,United Kingdom` |
| `language_name` | string | *full name of search engine language*  **required field if you don't specify** `language_code`  **if you use this field, you don't need to specify `language_code`**  you can receive the list of available languages of the search engine with their `language_name` by making a separate request to the `https://api.dataforseo.com/v3/serp/google/languages`  example:  `English` |
| `os` | string | *device operating system*  optional field  **note that this API provides results for desktop only**  choose from the following values: `windows`, `macos`  default value: `windows` |
| `tag` | string | *user-defined task identifier*  optional field  *the character limit is 255*  you can use this parameter to identify the task and match it with the result  you will find the specified `tag` value in the `data` object of the response |
| `max_crawl_pages` | integer | *page crawl limit*  optional field  number of search results pages to crawl  max value: `100`  **Note:** the `max_crawl_pages` and `depth` parameters complement each other;  learn more at [our help center](https://dataforseo.com/help-center/what-is-max-crawl-pages-and-how-does-it-work) |
| `search_param` | string | *additional parameters of the search query*  optional field  [get the list of available parameters and additional details here](https://dataforseo.com/help-center/google-search-engine-parameters-and-how-to-use-them) |
| `url` | string | *direct URL of the search query*  optional field  you can specify a direct URL and we will sort it out to the necessary fields. Note that this method is the most difficult for our API to process and also requires you to specify the exact language and location in the URL. In most cases, we wouldn’t recommend using this method.  example:  `https://www.google.co.uk/search?q=%20rank%20tracker%20api&hl=en&gl=GB&uule=w+CAIQIFISCXXeIa8LoNhHEZkq1d1aOpZS` |
| `location_coordinate` | string | *GPS coordinates of a location*  **required field if you don't specify** `location_name` or `location_code`  **if you use this field, you don't need to specify `location_name` or `location_code`**  `location_coordinate` parameter should be specified in the *"latitude,longitude,radius"* format  the maximum number of decimal digits for *"latitude"* and *"longitude"*: 7  the minimum value for *"radius"*: 199.9 (mm)  the maximum value for *"radius"*: 199999 (mm)  example:  `53.476225,-2.243572,200` |
| `se_domain` | string | *search engine domain*  optional field  we choose the relevant search engine domain automatically according to the location and language you specify  however, you can set a custom search engine domain in this field  example:  ``*google.co.uk*, ``*google.com.au*, ``*google.de*, etc. |



  
  
As a response of the API server, you will receive [JSON](https://en.wikipedia.org/wiki/JSON)-encoded data containing a `tasks` array with the information specific to the set tasks. **Description of the fields in the results array:**

| Field name | Type | Description |
|---|---|---|
| `version` | string | *the current version of the API* |
| `status_code` | integer | *general status code*   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md)   **Note:** we strongly recommend designing a necessary system for handling related exceptional or error conditions |
| `status_message` | string | *general informational message*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *total tasks cost, USD* |
| `tasks_count` | integer | *the number of tasks in the **`tasks`** array* |
| `tasks_error` | integer | *the number of tasks in the **`tasks`** array returned with an error* |
| **`tasks`** | array | *array of tasks* |
| `id` | string | *task identifier*   **unique task identifier in our system in the [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier) format** |
| `status_code` | integer | *status code of the task*   generated by DataForSEO; can be within the following range: 10000-60000   you can find the full list of the response codes [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `status_message` | string | *informational message of the task*   you can find the full list of general informational messages [here](https://docs.dataforseo.com/v3/appendix/errors.md) |
| `time` | string | *execution time, seconds* |
| `cost` | float | *cost of the task, USD* |
| `result_count` | integer | *number of elements in the **`result`** array* |
| `path` | array | *URL path* |
| `data` | object | *contains the same parameters that you specified in the POST request* |
| **`result`** | array | *array of results* |
| `keyword` | string | *keyword received in a POST array* **keyword is returned with decoded %## (plus character ‘+’ will be decoded to a space character)** |
| `type` | string | *search engine type in a POST array* |
| `se_domain` | string | *search engine domain in a POST array* |
| `location_code` | integer | *location code in a POST array* |
| `language_code` | string | *language code in a POST array* |
| `datetime` | string | *date and time when the result was received*   in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”   example:   `2019-11-15 12:57:46 +00:00` |
| `items_count` | integer | *the number of results returned in the **`items`** array* |
| **`items`** | array | *elements of search results found in SERP* |
| `page` | integer | *serial number of the returned HTML page* |
| `date` | string | *date and time when the HTML page was scanned* in the format: “year-month-date:minutes:UTC\_difference\_hours:UTC\_difference\_minutes”   example:   `2019-11-15 12:57:46 +00:00` |
| `html` | string | *HTML page* |



 

 









> Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

```
# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/serp/google/images/live/html" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
    {
        "language_code": "en",
        "location_code": 2840,
        "keyword": "albert einstein"
    }
]'
```





```php
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
try {
	// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
	$client = new RestClient($api_url, null, 'login', 'password');
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
	exit();
}
$post_array = array();
// You can set only one task at a time
$post_array[] = array(
	"language_code" => "en",
	"location_code" => 2840,
	"keyword" => mb_convert_encoding("albert einstein", "UTF-8")
);
try {
	// POST /v3/serp/google/images/live/html
	// in addition to 'google' and 'images' you can also set other search engine and type parameters
	// the full list of possible parameters is available in documentation
	$result = $client->post('/v3/serp/google/images/live/html', $post_array);
	print_r($result);
	// do something with post result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
```





```js
const axios = require('axios');

axios({
    method: 'post',
    url: 'https://api.dataforseo.com/v3/serp/google/images/live/html',
    auth: {
        username: 'login',
        password: 'password'
    },
    data: [{
        "keyword": encodeURI("albert einstein"),
        "language_code": "en",
        "location_code": 2840
    }],
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
```





```python
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# You can set only one task at a time
post_data[len(post_data)] = dict(
    language_code="en",
    location_code=2840,
    keyword="albert einstein"
)
# POST POST /v3/serp/google/images/live/html
# in addition to 'google' and 'images' you can also set other search engine and type parameters
# the full list of possible parameters is available in documentation
response = client.post("/v3/serp/google/images/live/html", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
```





```csharp
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task serp_live_html()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                //DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            // You can set only one task at a time
            postData.Add(new
            {
                language_code = "en",
                location_code = 2840,
                keyword = "albert einstein"
            });
            // POST /v3/serp/google/images/live/html
            // in addition to 'google' and 'images' you can also set other search engine and type parameters
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/serp/google/images/live/html", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}
```





> The above command returns JSON structured like this:

```
{
  "version": "0.1.20200130",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "7.7543 sec.",
  "cost": 0.003,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "01301613-1535-0140-0000-c64ff6de0501",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "7.6463 sec.",
      "cost": 0.003,
      "result_count": 1,
      "path": [
        "v3",
        "serp",
        "google",
        "images",
        "live",
        "html"
      ],
      "data": {
        "api": "serp",
        "function": "live",
        "se": "google",
        "se_type": "images",
        "language_name": "English",
        "location_name": "United States",
        "keyword": "albert einstein",
        "tag": "tag1",
        "device": "desktop",
        "os": "windows"
      },
      "result": [
        {
          "keyword": "albert einstein",
          "type": "organic",
          "se_domain": "google.com",
          "location_code": 2840,
          "language_code": "en",
          "datetime": "2020-01-30 14:13:54 +0000",
          "items_count": 1,
          "items": [
            {
              "page": 1,
              "date": "2020-01-30 14:13:54 +0000",
              "html": "<!doctype html><html><head></head></body></html>"
            }
          ]
        }
      ]
    }
  ]
}
```









 

  cURL   php   Node.js   Python   cSharp